#pragma once

#include <l3tde/map/terrain.h>

typedef enum {
    L3TDE_MAP_NODE_NAVIGATION_WALKABLE = 1,
    L3TDE_MAP_NODE_NAVIGATION_FLYABLE = 2,
} L3TDEMapNodeNavigation;

typedef struct {
    L3TDEMapTerrainPtr terrain;
    L3TDEMapNodeNavigation navigation;
} L3TDEMapNode;
typedef L3TDEMapNode *L3TDEMapNodePtr;

L3TDEMapNodePtr
l3tde_map_node_create (const L3TDEMapTerrainPtr terrain,
        L3TDEMapNodeNavigation navigation);

void
l3tde_map_node_destroy (L3TDEMapNodePtr self);
