#pragma once

#include <stddef.h>

typedef struct {
    size_t name_len;
    char *name;

    char symbol;
    short foreground, background;
} L3TDEMapTerrain;
typedef L3TDEMapTerrain *L3TDEMapTerrainPtr;

L3TDEMapTerrainPtr
l3tde_map_terrain_create (const char *name, size_t name_len,
    char symbol, short foreground, short background);

void
l3tde_map_terrain_destroy (L3TDEMapTerrain *self);
