#pragma once
#include <stddef.h>

typedef struct {
    size_t name_len;
    size_t description_len;

    char *name;
    char *description;
} L3TDEMapHeader;

typedef L3TDEMapHeader *L3TDEMapHeaderPtr;

L3TDEMapHeaderPtr
l3tde_map_header_create (const char *name, const size_t name_len,
        const char *description, const size_t description_len);
void
l3tde_map_header_destroy (L3TDEMapHeaderPtr header);
